%global OpenStackVersion zed
Summary: OpenStack from the CentOS Cloud SIG repo configs
Name: centos-release-openstack-%{OpenStackVersion}
Version: 1
Release: 4%{?dist}
License: GPL
URL: http://wiki.centos.org/SpecialInterestGroup/Cloud
Source0: CentOS-OpenStack.repo

BuildArch: noarch

Requires: centos-release
Requires: centos-release-cloud
Requires: centos-release-rabbitmq-38
Requires: centos-release-ceph-quincy
Requires: centos-release-nfv-openvswitch

%description
yum Configs and basic docs for OpenStack as delivered via the CentOS Cloud SIG.

%prep

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-OpenStack-%{OpenStackVersion}.repo
sed -i -e "s/OPENSTACK_VERSION/%{OpenStackVersion}/g" %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-OpenStack-%{OpenStackVersion}.repo

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Thu Jun 22 2023 Joel Capitao <jcapitao@redhat.com> - zed-1-4
- Enable GPG check for testing repo

* Thu May 25 2023 Christian Glombek <cglombek@redhat.com> - zed-1-3
- Add Requires: centos-release-cloud
- Remove RPM GPG key from sources (now shipped in centos-release-cloud)

* Wed Apr 05 2023 Alfredo Moralejo <amoralej@redhat.com> - zed-1-2
- Update GPG key

* Tue Apr 12 2022 Alfredo Moralejo <amoralej@redhat.com> - zed-1-1
- Zed Release

